Bug 1118523 - [RFE] bkr list-systems should also understand predefined host filters
Summary: [RFE] bkr list-systems should also understand predefined host filters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 19.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 23:58 UTC by Amit Saha
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-17 08:40:08 UTC


Attachments (Terms of Use)

Description Amit Saha 2014-07-10 23:58:37 UTC
Description of problem:

bug 1081390 added support for specifying pre-defined host filters to the bkr workflow commands. "bkr list-systems" (and perhaps others?) as well could also benefit from such a feature.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Nick Coghlan 2014-07-11 05:41:28 UTC
Sounds good to me.

There may actually be a case to be made for a larger feature aimed at offering saved queries on the server side of things, but that's a separate question, involving significantly more effort.

Comment 3 Nick Coghlan 2014-07-11 05:45:59 UTC
A couple of other notes:

1. bkr list-systems is the only other one that uses hostRequires style XML filtering (other commands use distroRequires, but we have specific options to cover the common cases there)

2. Michael also suggested including a way to get a *list* of all the predefined filters, so you can use grep to check the exist spelling of the options.

The latter likely makes sense as a separate "host-filters" command, and perhaps should be a separate RFE.

Comment 4 Dan Callaghan 2014-11-24 05:02:08 UTC
http://gerrit.beaker-project.org/3510

Comment 5 Dan Callaghan 2014-11-26 04:15:22 UTC
This isn't going to cover point 2 from comment 3 (a mechanism for listing all pre-defined filters), we can add that separately.

Comment 6 Dan Callaghan 2014-11-26 04:16:46 UTC
This bug fix is included in beaker-client-19.1-0.git.28.88e8a21.el6eng which is available here:

https://beaker-project.org/nightlies/develop/RedHatEnterpriseLinux6/

Comment 8 Dan Callaghan 2014-12-17 08:40:08 UTC
Beaker 19.1 is released.


Note You need to log in before you can comment on or make changes to this bug.